@article{arnold2011,
  title    = {A quantitative comparison of Calvin–Benson cycle models},
  journal  = {Trends in Plant Science},
  volume   = {16},
  number   = {12},
  pages    = {676-683},
  year     = {2011},
  issn     = {1360-1385},
  doi      = {https://doi.org/10.1016/j.tplants.2011.09.004},
  url      = {https://www.sciencedirect.com/science/article/pii/S1360138511001956},
  author   = {Anne Arnold and Zoran Nikoloski},
  abstract = {The Calvin–Benson cycle (CBC) provides the precursors for biomass synthesis necessary for plant growth. The dynamic behavior and yield of the CBC depend on the environmental conditions and regulation of the cellular state. Accurate quantitative models hold the promise of identifying the key determinants of the tightly regulated CBC function and their effects on the responses in future climates. We provide an integrative analysis of the largest compendium of existing models for photosynthetic processes. Based on the proposed ranking, our framework facilitates the discovery of best-performing models with regard to metabolomics data and of candidates for metabolic engineering.}
}
@article{assimulo,
  title    = {Assimulo: A unified framework for ODE solvers},
  journal  = {Mathematics and Computers in Simulation},
  volume   = {116},
  pages    = {26-43},
  year     = {2015},
  issn     = {0378-4754},
  doi      = {https://doi.org/10.1016/j.matcom.2015.04.007},
  url      = {https://www.sciencedirect.com/science/article/pii/S0378475415000701},
  author   = {Christian Andersson and Claus Führer and Johan Åkesson},
  keywords = {Simulation, Ordinary differential equations, Differential–algebraic equations, Python, Functional mock-up interface},
  abstract = {During the last three decades, a vast variety of methods to numerically solve ordinary differential equations and differential–algebraic equations has been developed and investigated. The methods are mostly freely available in different programming languages and with different interfaces. Accessing them using a unified interface is a need not only of the research community and for education purposes but also to make them available in industrial contexts. An industrial model of a dynamic system is usually not just a set of differential equations. The models today may contain discrete controllers, impacts or friction resulting in discontinuities that need to be handled by a modern solver in a correct and efficient way. Additionally, the models may produce an enormous amount of data that puts strain on the simulation software. In this paper, Assimulo is presented. It is a unified high-level interface to solvers of ordinary differential equations and is designed to satisfy the needs in research and education together with the requirements for solving industrial models with discontinuities and data handling. It combines original classical and modern solvers independent of their programming language with a well-structured Python/Cython interface. This allows to easily control parameter setting and discontinuity handling for a wide range of problem classes.}
}
@article{assmann2001,
  title     = {From milliseconds to millions of years: guard cells and environmental responses},
  author    = {Assmann, Sarah M and Wang, Xi-Qing},
  journal   = {Current opinion in plant biology},
  volume    = {4},
  number    = {5},
  pages     = {421--428},
  year      = {2001},
  publisher = {Elsevier}
}

@article{berkleyfixesthis,
  title     = {Integrated flux and pool size analysis in plant central metabolism reveals unique roles of glycine and serine during photorespiration},
  author    = {Xinyu Fu and Luke M. Gregory and Sean E. Weise and Berkley J. Walker},
  year      = {2022},
  publisher = {In press}
}
@article{fu2022,
  title   = {Dynamic response of photorespiration in fluctuating light environments},
  author  = {Fu, Xinyu and Walker, Berkley J},
  journal = {Journal of Experimental Botany},
  year    = {2022}
}
@article{hahn1984,
  title   = {A mathematical model of leaf Calvin cycle},
  author  = {Hahn, B},
  journal = {Annals of Botany},
  volume  = {54},
  pages   = {325--339},
  year    = {1984}
}
@article{hahn1987,
  title     = {A mathematical model of photorespiration and photosynthesis},
  author    = {Hahn, Brian D},
  journal   = {Annals of Botany},
  volume    = {60},
  number    = {2},
  pages     = {157--169},
  year      = {1987},
  publisher = {Oxford University Press}
}
@article{hahn1993,
  title    = {Photosynthesis and photorespiration: Modelling the essentials},
  journal  = {Journal of Theoretical Biology},
  volume   = {151},
  number   = {1},
  pages    = {123-139},
  year     = {1991},
  issn     = {0022-5193},
  doi      = {https://doi.org/10.1016/S0022-5193(05)80147-X},
  url      = {https://www.sciencedirect.com/science/article/pii/S002251930580147X},
  author   = {B.D. Hahn},
  abstract = {Two small mathematical models of the Calvin photosynthesis cycle and photorespiration are presented. They are compared with a much larger complex model formulated in terms of 31 non-linear differential equations. The smaller models behave in much the same way as the larger one: the induction phase of photosynthesis is adequately simulated, photosynthesis is inhibited by photorespiration and vice versa, and trajectories are qualitatively similar. Phase plane analysis is used on one of the models to show the existence and stability of a steady-state. In both of the models it is shown that the apparently wasteful process of photorespiration actually stabilizes the Calvin cycle.}
}
@article{laisk1986,
  title     = {Control of phosphate turnover as a rate-limiting factor and possible cause of oscillations in photosynthesis: a mathematical model},
  author    = {Laisk, A and Walker, David Alan},
  journal   = {Proceedings of the Royal society of London. Series B. Biological sciences},
  volume    = {227},
  number    = {1248},
  pages     = {281--302},
  year      = {1986},
  publisher = {The Royal Society London}
}
@article{laisk1989,
  title     = {A mathematical model of the carbon metabolism in photosynthesis. Difficulties in explaining oscillations by fructose 2, 6-bisphosphate regulation},
  author    = {Laisk, A and Eichelmann, H and Oja, V and Eatherall, A and Walker, David Alan},
  journal   = {Proceedings of the Royal Society of London. B. Biological Sciences},
  volume    = {237},
  number    = {1289},
  pages     = {389--415},
  year      = {1989},
  publisher = {The Royal Society London}
}
@article{lbfgsb,
  author     = {Zhu, Ciyou and Byrd, Richard H. and Lu, Peihuang and Nocedal, Jorge},
  title      = {Algorithm 778: L-BFGS-B: Fortran Subroutines for Large-Scale Bound-Constrained Optimization},
  year       = {1997},
  issue_date = {Dec. 1997},
  publisher  = {Association for Computing Machinery},
  address    = {New York, NY, USA},
  volume     = {23},
  number     = {4},
  issn       = {0098-3500},
  url        = {https://doi.org/10.1145/279232.279236},
  doi        = {10.1145/279232.279236},
  abstract   = {L-BFGS-B is a limited-memory algorithm for solving large nonlinear optimization problems subject to simple bounds on the variables. It is intended for problems in which information on the Hessian matrix is difficult to obtain, or for large dense problems. L-BFGS-B can also be used for unconstrained problems and in this case performs similarly to its predessor, algorithm L-BFGS (Harwell routine VA15). The algorithm is implemented in Fortran 77.},
  journal    = {ACM Trans. Math. Softw.},
  month      = {dec},
  pages      = {550–560},
  numpages   = {11},
  keywords   = {large-scale optimization, variable metric method, limited-memory method, nonlinear optimization}
}
@article{matplotlib,
  title     = {Matplotlib: A 2D graphics environment},
  author    = {Hunter, John D},
  journal   = {Computing in science \& engineering},
  volume    = {9},
  number    = {3},
  pages     = {90},
  year      = {2007},
  publisher = {IEEE Computer Society}
}
@article{matuszynska2019,
  title     = {Balancing energy supply during photosynthesis--a theoretical perspective},
  author    = {Matuszy{\'n}ska, Anna and Saadat, Nima P and Ebenh{\"o}h, Oliver},
  journal   = {Physiologia plantarum},
  volume    = {166},
  number    = {1},
  pages     = {392--402},
  year      = {2019},
  publisher = {Wiley Online Library}
}
@article{milstein1979,
  title     = {Parameter identification of the Calvin photosynthesis cycle},
  author    = {Milstein, Jaime and Bremermann, Hans J},
  journal   = {Journal of Mathematical Biology},
  volume    = {7},
  number    = {2},
  pages     = {99--116},
  year      = {1979},
  publisher = {Springer}
}
@article{modelbase,
  title     = {Constructing and analysing dynamic models with modelbase v1. 2.3: a software update},
  author    = {van Aalst, Marvin and Ebenh{\"o}h, Oliver and Matuszy{\'n}ska, Anna},
  journal   = {BMC bioinformatics},
  volume    = {22},
  number    = {1},
  pages     = {1--15},
  year      = {2021},
  publisher = {BioMed Central}
}
@article{morales2020,
  title     = {Photosynthetic acclimation to fluctuating irradiance in plants},
  author    = {Morales, Alejandro and Kaiser, Elias},
  journal   = {Frontiers in Plant Science},
  volume    = {11},
  pages     = {268},
  year      = {2020},
  publisher = {Frontiers Media SA}
}
@incollection{nedbal2009,
  title     = {Scaling and integration of kinetic models of photosynthesis: Towards comprehensive e-photosynthesis},
  author    = {Nedbal, Ladislav and {\v{C}}erven{\`y}, Jan and Schmidt, Henning},
  booktitle = {Photosynthesis in silico},
  pages     = {17--29},
  year      = {2009},
  publisher = {Springer}
}
@misc{neondata,
  doi       = {10.48443/8A01-0677},
  url       = {https://data.neonscience.org/data-products/DP1.00024.001/RELEASE-2022},
  author    = {{National Ecological Observatory Network (NEON)}},
  keywords  = {meteorological station, photosynthetic photon flux density (PPFD), photosynthetically active radiation (PAR), solar radiation, tower, tower profile},
  language  = {en},
  title     = {Photosynthetically active radiation (PAR) (DP1.00024.001)},
  publisher = {National Ecological Observatory Network (NEON)},
  year      = {2022}
}
@article{numpy,
  author  = {Harris, Charles R and Millman, K Jarrod and van der Walt, St{\'{e}}fan J and Gommers, Ralf and Virtanen, Pauli and Cournapeau, David and Wieser, Eric and Taylor, Julian and Berg, Sebastian and Smith, Nathaniel J and Kern, Robert and Picus, Matti and Hoyer, Stephan and van Kerkwijk, Marten H and Brett, Matthew and Haldane, Allan and del R{\'{i}}o, Jaime Fern{\'{a}}ndez and Wiebe, Mark and Peterson, Pearu and G{\'{e}}rard-Marchant, Pierre and Sheppard, Kevin and Reddy, Tyler and Weckesser, Warren and Abbasi, Hameer and Gohlke, Christoph and Oliphant, Travis E},
  doi     = {10.1038/s41586-020-2649-2},
  issn    = {1476-4687},
  journal = {Nature},
  number  = {7825},
  pages   = {357--362},
  title   = {{Array programming with NumPy}},
  url     = {https://doi.org/10.1038/s41586-020-2649-2},
  volume  = {585},
  year    = {2020}
}
@inproceedings{pandas,
  author    = {Wes McKinney},
  title     = {Data Structures for Statistical Computing in Python},
  booktitle = {Proceedings of the 9th Python in Science Conference},
  pages     = {51 - 56},
  year      = {2010},
  editor    = {St\'efan van der Walt and Jarrod Millman}
}
@article{pearcy1990,
  title     = {Sunflecks and photosynthesis in plant canopies},
  author    = {Pearcy, Robert W},
  journal   = {Annual review of plant biology},
  volume    = {41},
  number    = {1},
  pages     = {421--453},
  year      = {1990},
  publisher = {Annual Reviews 4139 El Camino Way, PO Box 10139, Palo Alto, CA 94303-0139, USA}
}
@article{poolman2000,
  title     = {Modelling photosynthesis and its control},
  author    = {Poolman, Mark G and Fell, David A and Thomas, Simon},
  journal   = {Journal of Experimental Botany},
  volume    = {51},
  number    = {suppl\_1},
  pages     = {319--328},
  year      = {2000},
  publisher = {Oxford University Press}
}
@manual{python310,
  title        = {{Python: A dynamic, open source programming language}},
  author       = {{Python Core Team}},
  organization = {{Python Software Foundation}},
  year         = {2022},
  url          = {https://docs.python.org/3/whatsnew/3.10.html},
  note         = {Python version 3.10}
}
@article{saadat2021,
  author   = {Saadat, Nima P. and Nies, Tim and van Aalst, Marvin and Hank, Brandon and Demirtas, Büsra and Ebenhöh, Oliver and Matuszyńska, Anna},
  title    = {Computational Analysis of Alternative Photosynthetic Electron Flows Linked With Oxidative Stress},
  journal  = {Frontiers in Plant Science},
  volume   = {12},
  year     = {2021},
  url      = {https://www.frontiersin.org/article/10.3389/fpls.2021.750580},
  doi      = {10.3389/fpls.2021.750580},
  issn     = {1664-462X},
  abstract = {During photosynthesis, organisms respond to their energy demand and ensure the supply of energy and redox equivalents that sustain metabolism. Hence, the photosynthetic apparatus can, and in fact should, be treated as an integrated supply-demand system. Any imbalance in the energy produced and consumed can lead to adverse reactions, such as the production of reactive oxygen species (ROS). Reaction centres of both photosystems are known sites of ROS production. Here, we investigate in particular the central role of Photosystem I (PSI) in this tightly regulated system. Using a computational approach we have expanded a previously published mechanistic model of C3 photosynthesis by including ROS producing and scavenging reactions around PSI. These include two water to water reactions mediated by Plastid terminal oxidase (PTOX) and Mehler and the ascorbate-glutathione (ASC-GSH) cycle, as a main non-enzymatic antioxidant. We have used this model to predict flux distributions through alternative electron pathways under various environmental stress conditions by systematically varying light intensity and enzymatic activity of key reactions. In particular, we studied the link between ROS formation and activation of pathways around PSI as potential scavenging mechanisms. This work shines light on the role of alternative electron pathways in photosynthetic acclimation and investigates the effect of environmental perturbations on PSI activity in the context of metabolic productivity.}
}
@article{scipy,
  author  = {
             {Virtanen}, Pauli and
             {Gommers}, Ralf and
             {Oliphant}, Travis E. and
             {Haberland}, Matt and
             {Reddy}, Tyler and
             {Cournapeau}, David and
             {Burovski}, Evgeni and
             {Peterson}, Pearu and
             {Weckesser}, Warren and
             {Bright}, Jonathan and
             {van der Walt}, St{\'e}fan J. and
             {Brett}, Matthew and
             {Wilson}, Joshua and
             {Jarrod Millman}, K. and
             {Mayorov}, Nikolay and
             {Nelson}, Andrew R.~J. and
             {Jones}, Eric and
             {Kern}, Robert and
             {Larson}, Eric and
             {Carey}, CJ and
             {Polat}, {\.I}lhan and
             {Feng}, Yu and
             {Moore}, Eric W. and
             {VanderPlas}, Jake and
             {Laxalde}, Denis and
             {Perktold}, Josef and
             {Cimrman}, Robert and
             {Henriksen}, Ian and
             {Quintero}, E.~A. and
             {Harris}, Charles R and
             {Archibald}, Anne M. and
             {Ribeiro}, Ant{\^o}nio H. and
             {Pedregosa}, Fabian and
             {van Mulbregt}, Paul and
             {Contributors}, SciPy 1.0
             },
  title   = {{SciPy 1.0: Fundamental Algorithms for Scientific Computing in Python}},
  journal = {Nature Methods},
  year    = {2020},
  adsurl  = {https://rdcu.be/b08Wh},
  doi     = {https://doi.org/10.1038/s41592-019-0686-2}
}
@article{slattery2018,
  title     = {The impacts of fluctuating light on crop performance},
  author    = {Slattery, Rebecca A and Walker, Berkley J and Weber, Andreas PM and Ort, Donald R},
  journal   = {Plant physiology},
  volume    = {176},
  number    = {2},
  pages     = {990--1003},
  year      = {2018},
  publisher = {American Society of Plant Biologists}
}
@article{taylor2017slow,
  title     = {Slow induction of photosynthesis on shade to sun transitions in wheat may cost at least 21\% of productivity},
  author    = {Taylor, Samuel H and Long, Stephen P},
  journal   = {Philosophical Transactions of the Royal Society B: Biological Sciences},
  volume    = {372},
  number    = {1730},
  pages     = {20160543},
  year      = {2017},
  publisher = {The Royal Society}
}
@article{zhu2007,
  title     = {Optimizing the distribution of resources between enzymes of carbon metabolism can dramatically increase photosynthetic rate: a numerical simulation using an evolutionary algorithm},
  author    = {Zhu, Xin-Guang and De Sturler, Eric and Long, Stephen P},
  journal   = {Plant physiology},
  volume    = {145},
  number    = {2},
  pages     = {513--526},
  year      = {2007},
  publisher = {American Society of Plant Biologists}
}
